Package org.apache.sling.scripting.sightly.impl.html.dom

## Interface DocumentHandler

All Known Implementing Classes:
  `TemplateParser.TemplateParserContext`

    public interface DocumentHandler

Invoked by the `HTMLParser` when elements are scanned.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onCharacters​(char[] ch, int off, int len)` Receive notification of unparsed character data.
`void` `onComment​(String characters)`
`void` `onEnd()` Receive notification of parsing end.
`void` `onEndElement​(String name)` Receive notification of the end of an element.
`void` `onStart()` Receive notification of parsing start.
`void` `onStartElement​(String name, AttributeList attList, boolean endSlash)` Receive notification of the beginning of an element.

### Method Detail

#### onCharacters

    void onCharacters​(char[] ch,
                      int off,
                      int len)
               throws IOException

Receive notification of unparsed character data.

Parameters:
  `ch` - the character buffer
  `off` - the offset
  `len` - the length of the unparsed character data
Throws:
  `IOException` - if the characters cannot be processed

#### onComment

    void onComment​(String characters)
            throws IOException

Throws:
  `IOException`

#### onStartElement

    void onStartElement​(String name,
                        AttributeList attList,
                        boolean endSlash)
                 throws IOException

Receive notification of the beginning of an element.

Parameters:
  `name` - tag name
  `attList` - attribute list
  `endSlash` - flag indicating whether the element is closed with an ending slash (xhtml-compliant)
Throws:
  `IOException` - if the element cannot be processed

#### onEndElement

    void onEndElement​(String name)
               throws IOException

Receive notification of the end of an element.

Parameters:
  `name` - tag name
Throws:
  `IOException` - if the element cannot be processed

#### onStart

    void onStart()
          throws IOException

Receive notification of parsing start.

Throws:
  `IOException` - if the parsing operation cannot start

#### onEnd

    void onEnd()
        throws IOException

Receive notification of parsing end.

Throws:
  `IOException` - if the parsing operation cannot end